Welcome to jdrgaming.com
Saturday, December 15 2018 @ 06:35 PM -08

[news feed] [current versions] [release notes] [old versions] [compatibility] [requirements] [resources]

Minecraft - Current version: 1.13.2 (October 22, 2018)
>>> Check Minecraft service status <<<

Why this Minecraft page?

As a Minecraft server operator, I've never found the main Minecraft web site, minecraft.net, to be very useful: it's often difficult to find the information I need there, and I have to gather information from several sources in order to make informed decisions about my server. Since I was doing that work anyway, I decided to share it with other people who may find it useful. Update 2016June: a recent refresh of the minecraft.net site looks fancy, but adds almost nothing that's actually useful, and the Minecraft downloads are now even more difficult to find. It's now also the official source for Minecraft news. At least it has an RSS feed.


Minecraft News Feed

The official Minecraft Tumblr blog is usually (but not always) updated when there's a new version of Minecraft. Unfortunately, the posts are not dated, and there's no RSS feed.


Current versions

Official download page

Windows client

At some point in January 2015, Mojang started offering a new, native Windows client, along with a native Windows installer. Both are available on the Minecraft download page. The installer is optional, but it may be helpful for some users, since it simplifies the installation process. It installs the new Windows native client and creates a desktop shortcut.

The new Windows native client is still basically a bootstrapper, but it is slightly different from the older Windows bootstrapper. The new version installs its own, separate copy of the Java runtime, which means that there's no need for a system-wide Java client to be installed before Minecraft will work. The older bootstrapper is still available on the Minecraft download page.

The Bootstrapper

The Minecraft client download (either version) is actually just a bootstrapper. The bootstrapper checks online for the latest version of the launcher and downloads it if there's a new one. Then it runs the launcher. When you click the 'Play' button in the launcher, it checks for a new version of the actual Minecraft game program and installs it if one is found.

The bootstrapper and launcher don't usually change between client versions. The bootstrapper download varies between platforms (Windows, Mac and cross-platform/Java), but the launcher and game program are the same on all platforms (Java).

The client bootstrapper installs Minecraft files in a somewhat hidden folder, the location of which of course varies between platforms. Here are the typical locations on the main platforms:

  • Windows 7, 8, and 10:
    C:\Users\yourusername\AppData\Roaming\.minecraft
  • Mac OS X:
    /Users/yourusername/Library/Application Support/minecraft
Missing version identifiers

It's standard practice to include version resources in binary program files; they allow users to easily identify the version associated with a file. Mojang doesn't do this for some reason, despite the relative ease with which this could be accomplished. The result is a lot of confusion and frustration for both players and server administrators.

Windows native client installer (version: unknown)
   Windows installer

Windows native client (version: unknown)
   Windows client

Client Bootstrapper (Version 5)
   Windows EXE
   Mac OSX DMG
   Mac OSX DMG (alternative)
   Java JAR

Client Launcher: 2.1.1431/1432/1433 (September 26, 2018)
   launcher.jar

Client: 1.13.2 (October 22, 2018)
   1.13.2.jar

Server: 1.13.2 (October 22, 2018)
   Java JAR


Release notes

Minecraft 1.13.2 was announced on the Minecraft web site, but (for some weird reason) not on the Minecraft Forum site. There's nothing about Minecraft 1.13.2 on the announcements Tumblr page, which appears to have been abandoned. There's nothing on the main Mojang blog either, but since all Minecraft news is now supposed to be on minecraft.net, this isn't surprising.

For a complete list of changes in 1.13.2, see the unofficial version history in the Minecraft Wiki.

Client version 1.13.2

Notable changes in 1.13.2:

According to the announcement, Minecraft 1.13.2 is mainly a bug fix release. The release announcement has all the details.

Minecraft 1.12 was the first version of the game to require Java 8. If you only run the game client, you don't need to worry about this, because the game includes the required version of Java. If you run a Minecraft server, however, you'll need to upgrade to Java 8 if you're not running it already.

Server version 1.13.2

See the release announcement for details. If you're upgrading from a version earlier than 1.12, a Java upgrade may be required.


Client/server compatibility list

Generally speaking, a Minecraft client cannot be used to connect to a Minecraft server of a different version. When the client detects that the user is trying to connect to an incompatible server version, the connection will fail and an 'out of date' message will be displayed. That said, it is sometimes possible to connect mismatched clients and servers. Announced and discovered compatibility notes are listed here.

  • Version 1.13.2 is NOT compatible with any earlier version.
  • Version 1.13.1 is NOT compatible with any earlier version.
  • Version 1.13 is NOT compatible with any earlier version.
  • Version 1.12.2 is NOT compatible with any earlier version.
  • Version 1.12.1 is NOT compatible with any earlier version.
  • Version 1.12 is NOT compatible with any earlier version.
  • Version 1.11.2 is NOT compatible with any earlier version.
  • Version 1.11 is NOT compatible with any earlier version.
  • Version 1.10.2 is compatible with 1.10.1 and 1.10, but not any earlier versions.
  • Version 1.10.1 is compatible with 1.10, but not any earlier versions.
  • Version 1.10 is NOT compatible with any previous versions.
  • Version 1.9.4 is NOT compatible with any previous versions.
  • Version 1.9.2 is NOT compatible with any previous versions.
  • Version 1.9.1 does not officially exist.
  • Version 1.9 is NOT compatible with any previous versions.
  • Version 1.8.9 is fully compatible with all previous 1.8 versions, but it is still highly recommended to update to 1.8.9 as soon as possible for both players and servers.
  • Version 1.8.8 is fully compatible with all previous 1.8 versions, but it is still highly recommended to update to 1.8.8 as soon as possible for both players and servers.
  • The version 1.8.7 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • The version 1.8.6 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • The version 1.8.5 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • The version 1.8.4 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • The version 1.8.3 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • The version 1.8.2 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • The version 1.8.1 client is compatible with version 1.8 servers, but it is not compatible with any server versions earlier than 1.8.
  • A new client launcher was introduced with version 1.6.x. Previous versions of the launcher cannot be used to launch client versions 1.6 and newer. The new launcher cannot be used to launch older versions of the client.
  • Version 1.5.2 clients are not compatible with version 1.5 or 1.5.1 servers.
  • Version 1.5.1 clients can connect to servers that are running version 1.5.

Hardware and software requirements

Requirements are the same for all platforms (Windows, Mac and Linux).

Client (details)
  • CPU: at least Intel P4 or AMD K7
  • RAM: at least 2 GB
  • Graphics hardware: at least a modern integrated GPU
  • Hard disk space: at least 90 MB
  • Software: Java SE 6 or Java SE 7
Server (details)
  • CPU: at least Intel Core 2 Duo or AMD Athlon 64 x2
  • RAM: at least 2 GB
  • Graphics hardware: n/a
  • Hard disk space: at least 150 MB
  • Software: Java SE 6 or Java SE 7

Older versions

Mojang doesn't provide an official method for obtaining older versions of Minecraft. Another inexplicable oversight, presumably. In any case, unofficial Minecraft download sites and version downloader software pick up the slack. Here are some that I've used:


Other resources

Jeb's Twitter feed

Jeb is the main Minecraft developer. His Twitter feed usually announces new versions of Minecraft, although - like most other official Minecraft resources - it tends to be filled with irrelevant crap. For those of you with no interest in using Twitter directly, Twitter feeds can be viewed as RSS feeds, so here's Jeb's Twitter feed as RSS. Update: Twitter's API no longer allows accessing Twitter feeds directly as RSS, so you have to use a third party resource like twitter-rss.com. Here's a link to Jeb's Twitter feed as RSS via twitter-rss.com.

Last Updated: Wednesday, October 31 2018 @ 04:55 PM -08| Hits: 8,677 View Printable Version